> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/configuration-search.md).

# Configuration Search

## GET /ux/nccm/configuration\_search/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration_search/":{"get":{"operationId":"ux_nccm_configuration_search_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Search"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /ux/nccm/configuration\_search/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration_search/{id}/":{"get":{"operationId":"ux_nccm_configuration_search_retrieve_2","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Search"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Gets a list of configuration search

> This endpoint is used to fetch all the configuration search in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration_search/configuration-search-result/":{"get":{"operationId":"ux_nccm_configuration_search_configuration_search_result_retrieve","description":"This endpoint is used to fetch all the configuration search in the current organization","summary":"Gets a list of configuration search","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Configuration Search"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Gets a list of configuration search data

> This endpoint is used to fetch all the configuration search in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration_search/filter/":{"get":{"operationId":"ux_nccm_configuration_search_filter_retrieve","description":"This endpoint is used to fetch all the configuration search in the current organization","summary":"Gets a list of configuration search data","tags":["Configuration Search"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Get the options for the Download Jobs

> This endpoint is used to get the default options for Download Jobs

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration_search/options/":{"get":{"operationId":"ux_nccm_configuration_search_options_retrieve","description":"This endpoint is used to get the default options for Download Jobs","summary":"Get the options for the Download Jobs","tags":["Configuration Search"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/configuration-search.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
